aboutsummaryrefslogtreecommitdiff
path: root/tests/qemu-iotests/104
diff options
context:
space:
mode:
Diffstat (limited to 'tests/qemu-iotests/104')
-rwxr-xr-xtests/qemu-iotests/1049
1 files changed, 3 insertions, 6 deletions
diff --git a/tests/qemu-iotests/104 b/tests/qemu-iotests/104
index b471aa5bb1..f32752bb6f 100755
--- a/tests/qemu-iotests/104
+++ b/tests/qemu-iotests/104
@@ -28,11 +28,7 @@ here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
-_cleanup()
-{
- _cleanup_test_img
-}
-trap "_cleanup; exit \$status" 0 1 2 3 15
+trap "exit \$status" 0 1 2 3 15
# get standard environment, filters and checks
. ./common.rc
@@ -47,8 +43,9 @@ echo
image_sizes="1024 1234"
for s in $image_sizes; do
- _make_test_img $s | _filter_img_create
+ _make_test_img $s
_img_info | _filter_img_info
+ _cleanup_test_img
done
# success, all done